<ui-view/>

<div class="grid">

	<header class="row no-padding heading clearfix">
		<div class="col-1 no-padding"><h2>Ny Kontaktperson för bevakning mot bolagskapning</h2></div>
	</header>

	<div class="row clearfix">
		<div class="col-1">
			<p>Ange kontaktuppgifter till den som ska bli uppmärksammad via SMS och e-post om det inkommit ärenden till Bolagsverket</p>
		</div>
	</div>

	<div class="row clearfix">
		<div class="col-1">

			<form name="hijackinglistForm" novalidate>
				<div svab-feedback-target="hijackinglist.create"></div>
				<fieldset>
					<div class="col-1">
						<p>
							<label class="form-required">Förnamn</label>
							<input name="firstName" type="text" ng-model="entry.firstName" required/>
						</p>

						<div ng-messages="hijackinglistForm.firstName.$error" ng-show="hijackinglistForm.firstName.$touched">
							<p class="form-feedback error" ng-message="required">Ange förnamn</p>
						</div>
					</div>

					<div class="col-1">
						<p>
							<label class="form-required">Efternamn</label>
							<input name="lastName" type="text" ng-model="entry.lastName" required/>
						</p>

						<div ng-messages="hijackinglistForm.lastName.$error" ng-show="hijackinglistForm.lastName.$touched">
							<p class="form-feedback error" ng-message="required">Ange efternamn</p>
						</div>
					</div>

					<div class="col-1">
						<p>
							<label class="form-required">Telefonnummer</label>
							<input name="contactInfoPhoneNumber" type="text" ng-model="entry.contactDetails.phoneNumber" required/>
						</p>

						<div ng-messages="hijackinglistForm.contactInfoPhoneNumber.$error" ng-show="hijackinglistForm.contactInfoPhoneNumber.$touched">
							<p class="form-feedback error" ng-message="required">Ange telefonnummer</p>
						</div>
					</div>

					<div class="col-1">
						<p>
							<label class="form-required">Email</label>
							<input name="contactInfoEmail" type="email" ng-model="entry.contactDetails.email" required/>
						</p>

						<div ng-messages="hijackinglistForm.contactInfoEmail.$error" ng-show="hijackinglistForm.contactInfoEmail.$touched">
							<p class="form-feedback error" ng-message="required">Ange email</p>
							<p class="form-feedback error" ng-message="email">Ange giltig email</p>
						</div>
					</div>
				</fieldset>

				<div class="col-1">
					<button class="update" ng-click="save(hijackinglist, hijackinglistForm)">Lägg till</button>
				</div>


			</form>

		</div>
	</div>
</div>